Page MenuHomePhabricator

labtestcontrol2003: rename to cloudcontrol2003-dev
Closed, ResolvedPublic

Description

This server needs reimage + rename to cloudcontrol2003-dev as part of T217891: CloudVPS: rework codfw deployments

  • set labtestcontrol2003 as spare system OR simply stop puppet agent
  • merge puppet patch to rename and get the new debian installer working
  • merge dns patch to add the new FQDNs (partial, the old mgmt names still remains)
  • run the wmf-auto-reimage-host script
  • merge DNS cleanup patch
  • netbox update https://netbox.wikimedia.org/dcim/devices/1561/
  • get the physical relabeling done, switch port labels, etc
  • done

Details

Related Gerrit Patches:

Event Timeline

Mentioned in SAL (#wikimedia-operations) [2019-04-12T12:22:19Z] <arturo> T220095 disable icinga checks for labtestcontrol2003

aborrero updated the task description. (Show Details)Apr 16 2019, 12:30 PM

Change 504320 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] labtestcontrol2003: reimage and rename to cloudcontrol2003-dev

https://gerrit.wikimedia.org/r/504320

Change 504321 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] labtestcontrol2003: rename to cloudcontrol2003-dev

https://gerrit.wikimedia.org/r/504321

Change 504321 merged by Arturo Borrero Gonzalez:
[operations/dns@master] labtestcontrol2003: rename to cloudcontrol2003-dev

https://gerrit.wikimedia.org/r/504321

Change 504320 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] labtestcontrol2003: reimage and rename to cloudcontrol2003-dev

https://gerrit.wikimedia.org/r/504320

aborrero updated the task description. (Show Details)Apr 16 2019, 12:57 PM

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

labtestcontrol2003.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904161302_aborrero_92882_labtestcontrol2003_wikimedia_org.log.

Mentioned in SAL (#wikimedia-operations) [2019-04-16T13:03:01Z] <arturo> T220095 renaming/reimaging labtestcontrol2003 as cloudcontrol2003-dev

Completed auto-reimage of hosts:

['cloudcontrol2003-dev.wikimedia.org']

and were ALL successful.

aborrero updated the task description. (Show Details)Apr 16 2019, 3:04 PM

Change 504350 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] labtestcontrol2003: cleanup

https://gerrit.wikimedia.org/r/504350

Change 504350 merged by Arturo Borrero Gonzalez:
[operations/dns@master] labtestcontrol2003: cleanup

https://gerrit.wikimedia.org/r/504350

aborrero updated the task description. (Show Details)Apr 16 2019, 3:16 PM
aborrero updated the task description. (Show Details)
aborrero reassigned this task from aborrero to Papaul.Apr 16 2019, 3:19 PM
aborrero triaged this task as Medium priority.
aborrero added projects: DC-Ops, ops-codfw.
aborrero added a subscriber: Papaul.

@Papaul please update switch port description and physical labeling for this server, it was renamed from labtestcontrol2003 to cloudcontrol2003-dev.

Restricted Application added a project: Operations. · View Herald TranscriptApr 16 2019, 3:19 PM
papaul@asw-c-codfw# show | compare 
[edit interfaces ge-1/0/16]
-   description labtestcontrol2003;
+   description cloudcontrol2003-dev;
papaul@asw-c-codfw# run show interfaces ge-1/0/16 descriptions 
Interface       Admin Link Description
ge-1/0/16       up    up   cloudcontrol2003-dev
Papaul closed this task as Resolved.Apr 24 2019, 2:49 PM

Complete

Papaul updated the task description. (Show Details)Apr 24 2019, 2:50 PM